# Class Mandrill_Webhooks

Located at Mandrill/Webhooks.php

Methods summary
`public` | # `__construct( `Mandrill` $master )`

`public array`

# `getList( )`

Get the list of all webhooks defined on the account

Get the list of all webhooks defined on the account

#### Returns

`array`
the webhooks associated with the account - return[] struct the individual webhook info - id integer a unique integer indentifier for the webhook - url string The URL that the event data will be posted to - description string a description of the webhook - auth_key string the key used to requests for this webhook - events array The message events that will be posted to the hook - events[] string the individual message event (send, hard_bounce, soft_bounce, open, click, spam, unsub, or reject) - created_at string the date and time that the webhook was created as a UTC string in YYYY-MM-DD HH:MM:SS format - last_sent_at string the date and time that the webhook last successfully received events as a UTC string in YYYY-MM-DD HH:MM:SS format - batches_sent integer the number of event batches that have ever been sent to this webhook - events_sent integer the total number of events that have ever been sent to this webhook - last_error string if we've ever gotten an error trying to post to this webhook, the last error that we've seen

`public struct`

# `add( string $url, string $description = null, array $events = array() )`

Add a new webhook

Add a new webhook

#### Parameters

$url
  `string`
  $url the URL to POST batches of events
$description
  `string`
  $description an optional description of the webhook
$events
  `array`
  $events an optional list of events that will be posted to the webhook - events[] string the individual event to listen for

#### Returns

`struct`
the information saved about the new webhook - id integer a unique integer indentifier for the webhook - url string The URL that the event data will be posted to - description string a description of the webhook - auth_key string the key used to requests for this webhook - events array The message events that will be posted to the hook - events[] string the individual message event (send, hard_bounce, soft_bounce, open, click, spam, unsub, or reject) - created_at string the date and time that the webhook was created as a UTC string in YYYY-MM-DD HH:MM:SS format - last_sent_at string the date and time that the webhook last successfully received events as a UTC string in YYYY-MM-DD HH:MM:SS format - batches_sent integer the number of event batches that have ever been sent to this webhook - events_sent integer the total number of events that have ever been sent to this webhook - last_error string if we've ever gotten an error trying to post to this webhook, the last error that we've seen

`public struct`

# `info( integer $id )`

Given the ID of an existing webhook, return the data about it

Given the ID of an existing webhook, return the data about it

#### Parameters

$id
  `integer`
  $id the unique identifier of a webhook belonging to this account

#### Returns

`struct`
the information about the webhook - id integer a unique integer indentifier for the webhook - url string The URL that the event data will be posted to - description string a description of the webhook - auth_key string the key used to requests for this webhook - events array The message events that will be posted to the hook - events[] string the individual message event (send, hard_bounce, soft_bounce, open, click, spam, unsub, or reject) - created_at string the date and time that the webhook was created as a UTC string in YYYY-MM-DD HH:MM:SS format - last_sent_at string the date and time that the webhook last successfully received events as a UTC string in YYYY-MM-DD HH:MM:SS format - batches_sent integer the number of event batches that have ever been sent to this webhook - events_sent integer the total number of events that have ever been sent to this webhook - last_error string if we've ever gotten an error trying to post to this webhook, the last error that we've seen

`public struct`

# `update( integer $id, string $url, string $description = null, array $events = array() )`

Update an existing webhook

Update an existing webhook

#### Parameters

$id
  `integer`
  $id the unique identifier of a webhook belonging to this account
$url
  `string`
  $url the URL to POST batches of events
$description
  `string`
  $description an optional description of the webhook
$events
  `array`
  $events an optional list of events that will be posted to the webhook - events[] string the individual event to listen for

#### Returns

`struct`
the information for the updated webhook - id integer a unique integer indentifier for the webhook - url string The URL that the event data will be posted to - description string a description of the webhook - auth_key string the key used to requests for this webhook - events array The message events that will be posted to the hook - events[] string the individual message event (send, hard_bounce, soft_bounce, open, click, spam, unsub, or reject) - created_at string the date and time that the webhook was created as a UTC string in YYYY-MM-DD HH:MM:SS format - last_sent_at string the date and time that the webhook last successfully received events as a UTC string in YYYY-MM-DD HH:MM:SS format - batches_sent integer the number of event batches that have ever been sent to this webhook - events_sent integer the total number of events that have ever been sent to this webhook - last_error string if we've ever gotten an error trying to post to this webhook, the last error that we've seen

`public struct`

# `delete( integer $id )`

Delete an existing webhook

Delete an existing webhook

#### Parameters

$id
  `integer`
  $id the unique identifier of a webhook belonging to this account

#### Returns

`struct`
the information for the deleted webhook - id integer a unique integer indentifier for the webhook - url string The URL that the event data will be posted to - description string a description of the webhook - auth_key string the key used to requests for this webhook - events array The message events that will be posted to the hook - events[] string the individual message event (send, hard_bounce, soft_bounce, open, click, spam, unsub, or reject) - created_at string the date and time that the webhook was created as a UTC string in YYYY-MM-DD HH:MM:SS format - last_sent_at string the date and time that the webhook last successfully received events as a UTC string in YYYY-MM-DD HH:MM:SS format - batches_sent integer the number of event batches that have ever been sent to this webhook - events_sent integer the total number of events that have ever been sent to this webhook - last_error string if we've ever gotten an error trying to post to this webhook, the last error that we've seen